#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'groupedit.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "groupedit.h"

#include <ntqvariant.h>
#include <kactivelabel.h>
#include <tdelistview.h>
#include <ntqlabel.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a groupEdit as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
groupEdit::groupEdit( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "groupEdit" );
    groupEditLayout = new TQGridLayout( this, 1, 1, 0, 6, "groupEditLayout"); 

    availableKeys = new TDEListView( this, "availableKeys" );
    availableKeys->addColumn( tr2i18n( "Name" ) );
    availableKeys->addColumn( tr2i18n( "Email" ) );
    availableKeys->addColumn( tr2i18n( "Id" ) );
    availableKeys->setAcceptDrops( TRUE );
    availableKeys->setProperty( "selectionMode", "Extended" );
    availableKeys->setAllColumnsShowFocus( TRUE );
    availableKeys->setShowSortIndicator( TRUE );
    availableKeys->setFullWidth( TRUE );
    availableKeys->setDragEnabled( FALSE );
    availableKeys->setAlternateBackground( TQColor( 238, 246, 255 ) );

    groupEditLayout->addMultiCellWidget( availableKeys, 1, 1, 0, 3 );

    textLabel1 = new TQLabel( this, "textLabel1" );
    textLabel1->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)4, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );

    groupEditLayout->addMultiCellWidget( textLabel1, 0, 0, 0, 2 );

    buttonAdd = new TQPushButton( this, "buttonAdd" );

    groupEditLayout->addWidget( buttonAdd, 2, 1 );

    buttonRemove = new TQPushButton( this, "buttonRemove" );

    groupEditLayout->addWidget( buttonRemove, 2, 2 );
    spacer5 = new TQSpacerItem( 71, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    groupEditLayout->addItem( spacer5, 2, 3 );

    kActiveLabel1 = new KActiveLabel( this, "kActiveLabel1" );

    groupEditLayout->addWidget( kActiveLabel1, 2, 0 );

    groupKeys = new TDEListView( this, "groupKeys" );
    groupKeys->addColumn( tr2i18n( "Name" ) );
    groupKeys->addColumn( tr2i18n( "Email" ) );
    groupKeys->addColumn( tr2i18n( "Id" ) );
    groupKeys->setAcceptDrops( TRUE );
    groupKeys->setProperty( "selectionMode", "Extended" );
    groupKeys->setAllColumnsShowFocus( TRUE );
    groupKeys->setShowSortIndicator( TRUE );
    groupKeys->setItemMargin( 1 );
    groupKeys->setFullWidth( TRUE );
    groupKeys->setDragEnabled( FALSE );

    groupEditLayout->addMultiCellWidget( groupKeys, 3, 3, 0, 3 );
    languageChange();
    resize( TQSize(557, 259).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
groupEdit::~groupEdit()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void groupEdit::languageChange()
{
    setCaption( TQString::null );
    availableKeys->header()->setLabel( 0, tr2i18n( "Name" ) );
    availableKeys->header()->setLabel( 1, tr2i18n( "Email" ) );
    availableKeys->header()->setLabel( 2, tr2i18n( "Id" ) );
    textLabel1->setText( tr2i18n( "Available Trusted Keys" ) );
    buttonAdd->setText( TQString::null );
    buttonRemove->setText( TQString::null );
    kActiveLabel1->setText( tr2i18n( "<b>Keys in the Group</b>" ) );
    groupKeys->header()->setLabel( 0, tr2i18n( "Name" ) );
    groupKeys->header()->setLabel( 1, tr2i18n( "Email" ) );
    groupKeys->header()->setLabel( 2, tr2i18n( "Id" ) );
}

/****************************************************************************
** groupEdit meta object code from reading C++ file 'groupedit.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "groupedit.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *groupEdit::className() const
{
    return "groupEdit";
}

TQMetaObject *groupEdit::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_groupEdit( "groupEdit", &groupEdit::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString groupEdit::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "groupEdit", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString groupEdit::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "groupEdit", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* groupEdit::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"groupEdit", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_groupEdit.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* groupEdit::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "groupEdit" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool groupEdit::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool groupEdit::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool groupEdit::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool groupEdit::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
