#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'color.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "color.h"

#include <ntqvariant.h>
#include <kcolorbutton.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a Color as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
Color::Color( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "Color" );
    ColorLayout = new TQGridLayout( this, 1, 1, 0, 6, "ColorLayout"); 
    spacer1 = new TQSpacerItem( 41, 111, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    ColorLayout->addItem( spacer1, 3, 1 );

    kcfg_TextColor = new KColorButton( this, "kcfg_TextColor" );
    kcfg_TextColor->setEnabled( FALSE );

    ColorLayout->addWidget( kcfg_TextColor, 1, 1 );

    kcfg_BackgroundColor = new KColorButton( this, "kcfg_BackgroundColor" );
    kcfg_BackgroundColor->setEnabled( FALSE );

    ColorLayout->addWidget( kcfg_BackgroundColor, 2, 1 );

    kcfg_CustomColor = new TQCheckBox( this, "kcfg_CustomColor" );

    ColorLayout->addMultiCellWidget( kcfg_CustomColor, 0, 0, 0, 1 );

    textLabel1 = new TQLabel( this, "textLabel1" );
    textLabel1->setEnabled( FALSE );

    ColorLayout->addWidget( textLabel1, 1, 0 );

    textLabel2 = new TQLabel( this, "textLabel2" );
    textLabel2->setEnabled( FALSE );

    ColorLayout->addWidget( textLabel2, 2, 0 );
    languageChange();
    resize( TQSize(365, 196).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_CustomColor, TQ_SIGNAL( toggled(bool) ), textLabel1, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_CustomColor, TQ_SIGNAL( toggled(bool) ), textLabel2, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_CustomColor, TQ_SIGNAL( toggled(bool) ), kcfg_TextColor, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_CustomColor, TQ_SIGNAL( toggled(bool) ), kcfg_BackgroundColor, TQ_SLOT( setEnabled(bool) ) );

    // buddies
    textLabel1->setBuddy( kcfg_TextColor );
    textLabel2->setBuddy( kcfg_BackgroundColor );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Color::~Color()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Color::languageChange()
{
    kcfg_TextColor->setText( TQString::null );
    kcfg_BackgroundColor->setText( TQString::null );
    kcfg_CustomColor->setText( tr2i18n( "Use &custom colors" ) );
    textLabel1->setText( tr2i18n( "&Foreground color:" ) );
    textLabel2->setText( tr2i18n( "&Background color:" ) );
}

/****************************************************************************
** Color meta object code from reading C++ file 'color.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "color.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *Color::className() const
{
    return "Color";
}

TQMetaObject *Color::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_Color( "Color", &Color::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString Color::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "Color", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString Color::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "Color", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* Color::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"Color", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_Color.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* Color::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "Color" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool Color::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool Color::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool Color::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool Color::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
