#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'conf_decryption.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "conf_decryption.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a Decryption as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
Decryption::Decryption( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "Decryption" );
    DecryptionLayout = new TQGridLayout( this, 1, 1, 0, 6, "DecryptionLayout"); 

    kcfg_CustomDecrypt = new KLineEdit( this, "kcfg_CustomDecrypt" );
    kcfg_CustomDecrypt->setEnabled( TRUE );

    DecryptionLayout->addWidget( kcfg_CustomDecrypt, 1, 0 );
    spacer3_2 = new TQSpacerItem( 21, 155, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    DecryptionLayout->addItem( spacer3_2, 2, 0 );

    textLabel1_4_2 = new TQLabel( this, "textLabel1_4_2" );

    DecryptionLayout->addWidget( textLabel1_4_2, 0, 0 );
    languageChange();
    resize( TQSize(388, 233).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Decryption::~Decryption()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Decryption::languageChange()
{
    setCaption( TQString::null );
    textLabel1_4_2->setText( tr2i18n( "Custom decryption command:" ) );
    TQWhatsThis::add( textLabel1_4_2, tr2i18n( "<qt><b>Custom Decryption Command:</b><br />\n"
"		<p>This option allows the user to specify a custom command to be executed by GPG when decryption occurs. (This is recommended for advanced users only).</p>\n"
"		</qt>" ) );
}

void Decryption::use_agent_toggled(bool)
{
    tqWarning( "Decryption::use_agent_toggled(bool): Not implemented yet" );
}

/****************************************************************************
** Decryption meta object code from reading C++ file 'conf_decryption.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "conf_decryption.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *Decryption::className() const
{
    return "Decryption";
}

TQMetaObject *Decryption::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_Decryption( "Decryption", &Decryption::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString Decryption::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "Decryption", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString Decryption::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "Decryption", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* Decryption::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUParameter param_slot_0[] = {
	{ "isOn", &static_QUType_bool, 0, TQUParameter::In }
    };
    static const TQUMethod slot_0 = {"use_agent_toggled", 1, param_slot_0 };
    static const TQUMethod slot_1 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "use_agent_toggled(bool)", &slot_0, TQMetaData::Public },
	{ "languageChange()", &slot_1, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"Decryption", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_Decryption.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* Decryption::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "Decryption" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool Decryption::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: use_agent_toggled((bool)static_QUType_bool.get(_o+1)); break;
    case 1: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool Decryption::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool Decryption::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool Decryption::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
