#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'sourceselect.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "sourceselect.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <kurlrequester.h>
#include <ntqpushbutton.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a SrcSelect as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SrcSelect::SrcSelect( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "SrcSelect" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( TQSize( 350, 0 ) );
    SrcSelectLayout = new TQGridLayout( this, 1, 1, 0, 6, "SrcSelectLayout"); 

    buttonGroup2 = new TQButtonGroup( this, "buttonGroup2" );
    buttonGroup2->setColumnLayout(0, TQt::Vertical );
    buttonGroup2->layout()->setSpacing( 6 );
    buttonGroup2->layout()->setMargin( 11 );
    buttonGroup2Layout = new TQGridLayout( buttonGroup2->layout() );
    buttonGroup2Layout->setAlignment( TQt::AlignTop );

    checkFile = new TQRadioButton( buttonGroup2, "checkFile" );
    checkFile->setChecked( TRUE );

    buttonGroup2Layout->addWidget( checkFile, 2, 0 );

    newFilename = new KURLRequester( buttonGroup2, "newFilename" );
    newFilename->setEnabled( TRUE );

    buttonGroup2Layout->addWidget( newFilename, 2, 1 );

    checkClipboard = new TQRadioButton( buttonGroup2, "checkClipboard" );

    buttonGroup2Layout->addWidget( checkClipboard, 1, 0 );

    SrcSelectLayout->addWidget( buttonGroup2, 0, 0 );
    spacer2 = new TQSpacerItem( 20, 31, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    SrcSelectLayout->addItem( spacer2, 1, 0 );
    languageChange();
    resize( TQSize(350, 93).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( checkFile, TQ_SIGNAL( toggled(bool) ), this, TQ_SLOT( checkFile_toggled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SrcSelect::~SrcSelect()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SrcSelect::languageChange()
{
    buttonGroup2->setTitle( TQString::null );
    checkFile->setText( tr2i18n( "File:" ) );
    checkClipboard->setText( tr2i18n( "Clipboard" ) );
}

void SrcSelect::checkFile_toggled(bool)
{
    tqWarning( "SrcSelect::checkFile_toggled(bool): Not implemented yet" );
}

/****************************************************************************
** SrcSelect meta object code from reading C++ file 'sourceselect.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "sourceselect.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *SrcSelect::className() const
{
    return "SrcSelect";
}

TQMetaObject *SrcSelect::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_SrcSelect( "SrcSelect", &SrcSelect::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString SrcSelect::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "SrcSelect", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString SrcSelect::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "SrcSelect", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* SrcSelect::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUParameter param_slot_0[] = {
	{ "isOn", &static_QUType_bool, 0, TQUParameter::In }
    };
    static const TQUMethod slot_0 = {"checkFile_toggled", 1, param_slot_0 };
    static const TQUMethod slot_1 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "checkFile_toggled(bool)", &slot_0, TQMetaData::Public },
	{ "languageChange()", &slot_1, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"SrcSelect", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_SrcSelect.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* SrcSelect::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "SrcSelect" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool SrcSelect::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: checkFile_toggled((bool)static_QUType_bool.get(_o+1)); break;
    case 1: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool SrcSelect::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool SrcSelect::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool SrcSelect::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
